-- ----------------------------
-- Table structure for 短信告警信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_alarm_sms_info`;
CREATE TABLE `mortals_etl_alarm_sms_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`title` varchar(255) DEFAULT NULL COMMENT '任务说明',
	`msg` varchar(1024) COMMENT '信息',
	`msg_type` varchar(20) DEFAULT NULL COMMENT '信息类型 (通知,营销)',
	`msg_url` varchar(256) DEFAULT NULL COMMENT '短信附带连接',
	`phone` varchar(20) DEFAULT NULL COMMENT '手机号',
	`status` tinyint(2) DEFAULT '0' COMMENT '状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='短信告警信息表';


-- ----------------------------
-- Table structure for etl申请源任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_apply_task_info`;
CREATE TABLE `mortals_etl_apply_task_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT  COMMENT '序号，主键，自增长',
	`etl_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`data_sources_choose_input` varchar(100) DEFAULT NULL COMMENT '输入数据源id',
	`data_source_type_input` varchar(100) DEFAULT NULL COMMENT '输入数据源类型',
	`data_sources_table_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源表名',
	`data_sources_file_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源文件名',
	`data_sources_file_columns` text COMMENT '输入数据源文件列名',
	`data_sources_table_columns` text COMMENT '输入数据源表列名',
	`data_sources_params_input` varchar(500) DEFAULT NULL COMMENT '输入数据源参数',
	`data_sources_filter_input` varchar(500) DEFAULT NULL COMMENT '输入数据源过滤条件',
	`data_sources_choose_output` varchar(100) DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_table_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源表名',
	`data_sources_file_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源文件名',
	`data_sources_params_output` varchar(500) DEFAULT NULL COMMENT '输出数据源参数',
	`column_datas` text COMMENT '输入输出自定映射关系',
	`data_sources_clear_output` varchar(500) DEFAULT NULL COMMENT '数据源数据源删除条件',
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) DEFAULT NULL COMMENT '更新说明',
	`column_size` varchar(100) DEFAULT NULL COMMENT '字段个数',
	`rows_range` varchar(100) DEFAULT NULL COMMENT '行数范围',
	`error_rate` varchar(10) DEFAULT NULL COMMENT '错误率',
	`enable_quality` tinyint(2) DEFAULT '0' COMMENT '是否开启质量检测',
	`duplicate_columns` varchar(200) DEFAULT NULL COMMENT '去重字段',
	`primary_columns` varchar(100) DEFAULT NULL COMMENT '不可重复字段',
	`file_type_input` varchar(10) DEFAULT NULL COMMENT '输入文件类型',
	`encoding_input` varchar(10) DEFAULT NULL COMMENT '输入文件编码',
	`sep_input` varchar(10) DEFAULT NULL COMMENT '输入分割符',
	`file_type_output` varchar(10) DEFAULT NULL COMMENT '输出文件类型',
	`encoding_output` varchar(10) DEFAULT NULL COMMENT '输出文件编码',
	`sep_output` varchar(10) DEFAULT NULL COMMENT '输出文件分割符',
	`header_input` varchar(10) DEFAULT NULL COMMENT '输入是否包含表头',
	`header_output` varchar(10) DEFAULT NULL COMMENT '输出是否包含表头',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`repartition_num_input` varchar(64) NOT NULL DEFAULT '' COMMENT '洗牌个数默认空',
	`repartition_cols_input` varchar(256) NOT NULL DEFAULT '' COMMENT '洗牌字段默认空',
	`model_output` varchar(64) NOT NULL DEFAULT '' COMMENT '写入模式默认空',
	`partition_by_output` varchar(256) NOT NULL DEFAULT '' COMMENT '分区字段默认空',
	`merge_output` varchar(256) NOT NULL DEFAULT '-1' COMMENT '合并小文件默认-1 不合并',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl申请源任务信息表';


-- ----------------------------
-- Table structure for 数据源信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_data_sources_info`;
CREATE TABLE `mortals_etl_data_sources_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`data_source_context` varchar(100) DEFAULT NULL COMMENT '数据源说明',
	`data_source_type` varchar(100) DEFAULT NULL COMMENT '数据源类型',
	`driver` varchar(100) DEFAULT NULL COMMENT '驱动连接串',
	`url` varchar(100) DEFAULT NULL COMMENT '连接url',
	`username` varchar(100) DEFAULT NULL COMMENT '用户名',
	`password` varchar(100) DEFAULT NULL COMMENT '密码',
	`tag_group_code` varchar(512) NOT NULL DEFAULT '' COMMENT '数据组标识,多个逗号分割',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_data_source_type` (`data_source_type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='数据源信息表';

-- ----------------------------
-- Table structure for 数据源类型表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_data_sources_type_info`;
CREATE TABLE `mortals_etl_data_sources_type_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`sources_type` varchar(100) DEFAULT NULL,
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='数据源类型表';



-- ----------------------------
-- Table structure for 权限-数据标识信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_data_tag_info`;
CREATE TABLE `mortals_etl_data_tag_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`tag_code` varchar(512) DEFAULT NULL COMMENT '标识code',
	`tag_name` varchar(200) DEFAULT NULL COMMENT '标识名称',
	`product_code` varchar(100) DEFAULT NULL COMMENT '产品code',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_tag_code` (`product_code`,`tag_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='权限-数据标识信息表';


-- ----------------------------
-- Table structure for 权限-数据标识组信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_data_tag_group_info`;
CREATE TABLE `mortals_etl_data_tag_group_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`tag_group_code` varchar(512) DEFAULT NULL COMMENT '标识组code',
	`tag_group_name` varchar(200) DEFAULT NULL COMMENT '标识组名称',
	`tag_codes` varchar(512) DEFAULT NULL COMMENT '标识code列表,逗号分割',
	`product_code` varchar(100) DEFAULT NULL COMMENT '产品code',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_data_source_type` (`product_code`,`tag_group_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='权限-数据标识组信息表';


-- ----------------------------
-- Table structure for 权限-枚举信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_enum_info`;
CREATE TABLE `mortals_etl_enum_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`enum_code` varchar(512) DEFAULT NULL COMMENT '枚举标识',
	`enum_context` varchar(200) DEFAULT NULL COMMENT '枚举说明',
	`enum_type` varchar(100) DEFAULT NULL COMMENT '枚举类型',
	`enum_json` text COMMENT '枚举明细',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_enum_code` (`enum_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='枚举信息表';


-- ----------------------------
-- Table structure for etl申请源任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_apply_task_info`;
CREATE TABLE `mortals_etl_apply_task_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`etl_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`data_sources_choose_input` varchar(100) DEFAULT NULL COMMENT '输入数据源id',
	`data_source_type_input` varchar(100) DEFAULT NULL COMMENT '输入数据源类型',
	`data_sources_table_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源表名',
	`data_sources_file_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源文件名',
	`data_sources_file_columns` text COMMENT '输入数据源文件列名',
	`data_sources_table_columns` text COMMENT '输入数据源表列名',
	`data_sources_params_input` varchar(500) DEFAULT NULL COMMENT '输入数据源参数',
	`data_sources_filter_input` varchar(500) DEFAULT NULL COMMENT '输入数据源过滤条件',
	`data_sources_choose_output` varchar(100) DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_table_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源表名',
	`data_sources_file_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源文件名',
	`data_sources_params_output` varchar(500) DEFAULT NULL COMMENT '输出数据源参数',
	`column_datas` text COMMENT '输入输出自定映射关系',
	`data_sources_clear_output` varchar(500) DEFAULT NULL COMMENT '数据源数据源删除条件',
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) DEFAULT NULL COMMENT '更新说明',
	`column_size` varchar(100) DEFAULT NULL COMMENT '字段个数',
	`rows_range` varchar(100) DEFAULT NULL COMMENT '行数范围',
	`error_rate` varchar(10) DEFAULT NULL COMMENT '错误率',
	`enable_quality` varchar(10) DEFAULT NULL COMMENT '是否开启质量检测',
	`duplicate_columns` varchar(200) DEFAULT NULL COMMENT '去重字段',
	`primary_columns` varchar(100) DEFAULT NULL COMMENT '不可重复字段',
	`file_type_input` varchar(10) DEFAULT NULL COMMENT '输入文件类型',
	`encoding_input` varchar(10) DEFAULT NULL COMMENT '输入文件编码',
	`sep_input` varchar(10) DEFAULT NULL COMMENT '输入分割符',
	`file_type_output` varchar(10) DEFAULT NULL COMMENT '输出文件类型',
	`encoding_output` varchar(10) DEFAULT NULL COMMENT '输出文件编码',
	`sep_output` varchar(10) DEFAULT NULL COMMENT '输出文件分割符',
	`header_input` varchar(10) DEFAULT NULL COMMENT '输入是否包含表头',
	`header_output` varchar(10) DEFAULT NULL COMMENT '输出是否包含表头',
	`repartition_num_input` varchar(64) NOT NULL DEFAULT '' COMMENT '洗牌个数默认空',
	`repartition_cols_input` varchar(256) NOT NULL DEFAULT '' COMMENT '洗牌字段默认空',
	`model_output` varchar(64) NOT NULL DEFAULT '' COMMENT '写入模式默认空',
	`partition_by_output` varchar(256) NOT NULL DEFAULT '' COMMENT '分区字段默认空',
	`merge_output` varchar(256) NOT NULL DEFAULT '-1' COMMENT '合并小文件默认-1 不合并',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl申请源任务信息表';

-- ----------------------------
-- Table structure for etl多源任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_more_task_info`;
CREATE TABLE `mortals_etl_more_task_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`etl_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`etl_ids` varchar(200) DEFAULT NULL COMMENT '任务id列表',
	`etl_sql` text COMMENT '多源任务逻辑',
	`data_sources_choose_output` varchar(100) DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_table_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源表名',
	`data_sources_file_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源文件名',
	`data_sources_params_output` varchar(500) DEFAULT NULL COMMENT '输出数据源参数',
	`drop_tmp_tables` varchar(500) DEFAULT NULL COMMENT '删除临时表名',
	`file_type_output` varchar(10) DEFAULT NULL COMMENT '输出文件类型',
	`encoding_output` varchar(10) DEFAULT NULL COMMENT '输出文件编码',
	`sep_output` varchar(10) DEFAULT NULL COMMENT '输出文件分割符',
	`header_output` varchar(10) DEFAULT NULL COMMENT '输出文件是否带有表头',
	`model_output` varchar(64) NOT NULL DEFAULT '' COMMENT '写入模式默认空',
	`partition_by_output` varchar(256) NOT NULL DEFAULT '' COMMENT '分区字段默认空',
	`merge_output` varchar(256) NOT NULL DEFAULT '-1' COMMENT '合并小文件默认-1 不合并',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl多源任务信息表';


-- ----------------------------
-- Table structure for 批量etl任务生成配置信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_batch_info`;
CREATE TABLE `mortals_etl_task_batch_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`etl_pre_context` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '任务说明',
	`etl_suffix_context` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '任务说明',
	`data_sources_choose_input` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入数据源id',
	`data_source_type_input` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入数据源类型',
	`data_sources_table_name_input` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入数据源表名',
	`data_sources_file_name_input` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入数据源文件名',
	`data_sources_params_input` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入数据源参数',
	`data_sources_filter_input` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入数据源过滤条件',
	`data_sources_choose_output` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_table_name_output` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出数据源表名',
	`data_sources_file_name_output` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出数据源文件名',
	`data_sources_params_output` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出数据源参数',
	`data_sources_clear_output` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '数据源数据源删除条件',
	`company` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新说明',
	`file_type_input` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入文件类型',
	`encoding_input` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入文件编码',
	`sep_input` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入分割符',
	`file_type_output` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出文件类型',
	`encoding_output` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出文件编码',
	`sep_output` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出文件分割符',
	`header_input` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输入是否包含表头',
	`header_output` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '输出是否包含表头',
	`repartition_num_input` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '洗牌个数默认空',
	`repartition_cols_input` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '洗牌字段默认空',
	`model_output` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '写入模式默认空',
	`partition_by_output` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '分区字段默认空',
	`merge_output` varchar(256) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '-1' COMMENT '合并小文件默认-1 不合并',
	`status` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '0' COMMENT '0:未执行,1:执行中,2:执行失败,3:执行成功',
	`product_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='批量etl任务生成配置信息表';


-- ----------------------------
-- Table structure for etl-jdbc任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_jdbc_info`;
CREATE TABLE `mortals_etl_task_jdbc_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`etl_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`engine_type` varchar(200) DEFAULT NULL COMMENT '计算引擎,spark,local',
	`data_sources_choose_input` varchar(100) DEFAULT NULL COMMENT '输入数据源id',
	`data_source_type_input` varchar(100) DEFAULT NULL COMMENT '输入数据源类型',
	`etl_sql` text COMMENT 'sql任务处理逻辑',
	`data_sources_choose_output` varchar(100) DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_table_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源表名',
	`data_sources_file_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源文件名',
	`data_sources_params_output` varchar(500) DEFAULT NULL COMMENT '输出数据源参数',
	`data_sources_clear_output` varchar(500) DEFAULT NULL COMMENT '数据源数据源删除条件',
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) DEFAULT NULL COMMENT '更新说明',
	`file_type_output` varchar(10) DEFAULT NULL COMMENT '输出文件类型',
	`encoding_output` varchar(10) DEFAULT NULL COMMENT '输出文件编码',
	`sep_output` varchar(10) DEFAULT NULL COMMENT '输出文件分割符',
	`header_output` varchar(10) DEFAULT NULL COMMENT '输出是否包含表头',
	`model_output` varchar(64) NOT NULL DEFAULT '' COMMENT '写入模式默认空',
	`partition_by_output` varchar(256) NOT NULL DEFAULT '' COMMENT '分区字段默认空',
	`merge_output` varchar(256) NOT NULL DEFAULT '-1' COMMENT '合并小文件默认-1 不合并',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-jdbc任务信息表';


-- ----------------------------
-- Table structure for etl-datax任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_datax_info`;
CREATE TABLE `mortals_etl_task_datax_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`datax_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`data_sources_choose_input` varchar(100) DEFAULT NULL COMMENT '输入数据源id',
	`data_source_type_input` varchar(100) DEFAULT NULL COMMENT '输入数据源类型',
	`datax_json` text,
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) DEFAULT NULL COMMENT '更新说明',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-datax任务信息表';

-- ----------------------------
-- Table structure for etl-datax-web任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_datax_auto_info`;
CREATE TABLE `mortals_etl_task_datax_auto_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`etl_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`data_sources_choose_input` varchar(100) DEFAULT NULL COMMENT '输入数据源id',
	`data_source_type_input` varchar(100) DEFAULT NULL COMMENT '输入数据源类型',
	`data_sources_table_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源表名',
	`data_sources_file_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源文件名',
	`data_sources_table_columns` text COMMENT '输入数据源表列名',
	`data_sources_params_input` varchar(500) DEFAULT NULL COMMENT '输入数据源参数',
	`data_sources_filter_input` varchar(500) DEFAULT NULL COMMENT '输入数据源过滤条件',
	`data_sources_choose_output` varchar(100) DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_table_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源表名',
	`data_sources_file_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源文件名',
	`data_sources_params_output` varchar(500) DEFAULT NULL COMMENT '输出数据源参数',
	`column_datas` text COMMENT '输入输出自定映射关系',
	`data_sources_clear_output` varchar(500) DEFAULT NULL COMMENT '数据源数据源删除条件',
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) DEFAULT NULL COMMENT '更新说明',
	`column_size` varchar(100) DEFAULT NULL COMMENT '字段个数',
	`rows_range` varchar(100) DEFAULT NULL COMMENT '行数范围',
	`error_rate` varchar(10) DEFAULT NULL COMMENT '错误率',
	`enable_quality` varchar(10) DEFAULT NULL COMMENT '是否开启质量检测',
	`duplicate_columns` varchar(200) DEFAULT NULL COMMENT '去重字段',
	`primary_columns` varchar(100) DEFAULT NULL COMMENT '不可重复字段',
	`file_type_input` varchar(10) DEFAULT NULL COMMENT '输入文件类型',
	`encoding_input` varchar(10) DEFAULT NULL COMMENT '输入文件编码',
	`sep_input` varchar(10) DEFAULT NULL COMMENT '输入分割符',
	`file_type_output` varchar(10) DEFAULT NULL COMMENT '输出文件类型',
	`encoding_output` varchar(10) DEFAULT NULL COMMENT '输出文件编码',
	`sep_output` varchar(10) DEFAULT NULL COMMENT '输出文件分割符',
	`header_input` varchar(10) DEFAULT NULL COMMENT '输入是否包含表头',
	`header_output` varchar(10) DEFAULT NULL COMMENT '输出是否包含表头',
	`repartition_cols_input` varchar(256) NOT NULL DEFAULT '' COMMENT '洗牌字段默认空',
	`model_output` varchar(64) NOT NULL DEFAULT '' COMMENT '写入模式默认空',
	`partition_by_output` varchar(256) NOT NULL DEFAULT '' COMMENT '分区字段默认空',
	`merge_output` varchar(256) NOT NULL DEFAULT '-1' COMMENT '合并小文件默认-1 不合并',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-datax-web任务信息表';


-- ----------------------------
-- Table structure for etl-flink任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_flink_info`;
CREATE TABLE `mortals_etl_task_flink_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`sql_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`data_sources_params_input` varchar(500) DEFAULT NULL COMMENT '输入参数',
	`etl_sql` text COMMENT 'sql任务处理逻辑',
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) DEFAULT NULL COMMENT '更新说明',
	`host` varchar(100) DEFAULT NULL,
	`port` varchar(100) DEFAULT NULL,
	`user_name` varchar(500) DEFAULT NULL,
	`password` varchar(100) DEFAULT NULL,
	`checkpoint` varchar(256) NOT NULL DEFAULT '' COMMENT 'checkpoint地址',
	`server_type` varchar(64) DEFAULT NULL COMMENT '服务类型:windows/linux',
	`command` text COMMENT '命令',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-flink任务信息表';

-- ----------------------------
-- Table structure for etl-spark任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_spark_info`;
CREATE TABLE `mortals_etl_task_spark_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`etl_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`data_sources_choose_input` varchar(100) DEFAULT NULL COMMENT '输入数据源id',
	`data_source_type_input` varchar(100) DEFAULT NULL COMMENT '输入数据源类型',
	`data_sources_table_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源表名',
	`data_sources_file_name_input` varchar(100) DEFAULT NULL COMMENT '输入数据源文件名',
	`data_sources_file_columns` text COMMENT '输入数据源文件列名',
	`data_sources_table_columns` text COMMENT '输入数据源表列名',
	`data_sources_params_input` varchar(500) DEFAULT NULL COMMENT '输入数据源参数',
	`data_sources_filter_input` varchar(500) DEFAULT NULL COMMENT '输入数据源过滤条件',
	`data_sources_choose_output` varchar(100) DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_table_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源表名',
	`data_sources_file_name_output` varchar(100) DEFAULT NULL COMMENT '输出数据源文件名',
	`data_sources_params_output` varchar(500) DEFAULT NULL COMMENT '输出数据源参数',
	`column_datas` text COMMENT '输入输出自定映射关系',
	`data_sources_clear_output` varchar(500) DEFAULT NULL COMMENT '数据源数据源删除条件',
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`update_context` varchar(100) DEFAULT NULL COMMENT '更新说明',
	`column_size` varchar(100) DEFAULT NULL COMMENT '字段个数',
	`rows_range` varchar(100) DEFAULT NULL COMMENT '行数范围',
	`error_rate` varchar(10) DEFAULT NULL COMMENT '错误率',
	`enable_quality` varchar(10) DEFAULT NULL COMMENT '是否开启质量检测',
	`duplicate_columns` varchar(200) DEFAULT NULL COMMENT '去重字段',
	`primary_columns` varchar(100) DEFAULT NULL COMMENT '不可重复字段',
	`file_type_input` varchar(10) DEFAULT NULL COMMENT '输入文件类型',
	`encoding_input` varchar(10) DEFAULT NULL COMMENT '输入文件编码',
	`sep_input` varchar(10) DEFAULT NULL COMMENT '输入分割符',
	`file_type_output` varchar(10) DEFAULT NULL COMMENT '输出文件类型',
	`encoding_output` varchar(10) DEFAULT NULL COMMENT '输出文件编码',
	`sep_output` varchar(10) DEFAULT NULL COMMENT '输出文件分割符',
	`header_input` varchar(10) DEFAULT NULL COMMENT '输入是否包含表头',
	`header_output` varchar(10) DEFAULT NULL COMMENT '输出是否包含表头',
	`repartition_num_input` varchar(64) NOT NULL DEFAULT '' COMMENT '洗牌个数默认空',
	`repartition_cols_input` varchar(256) NOT NULL DEFAULT '' COMMENT '洗牌字段默认空',
	`model_output` varchar(64) NOT NULL DEFAULT '' COMMENT '写入模式默认空',
	`partition_by_output` varchar(256) NOT NULL DEFAULT '' COMMENT '分区字段默认空',
	`merge_output` varchar(256) NOT NULL DEFAULT '-1' COMMENT '合并小文件默认-1 不合并',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-spark任务信息表';



-- ----------------------------
-- Table structure for etl-日志采集信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_log_info`;
CREATE TABLE `mortals_etl_task_log_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`log_code` varchar(256) DEFAULT NULL COMMENT '日志唯一标识code',
	`log_context` varchar(256) DEFAULT NULL COMMENT '日志说明',
	`flume_command` varchar(1024) DEFAULT NULL COMMENT 'flume启动命令',
	`flume_path` varchar(256) DEFAULT NULL COMMENT 'flume地址',
	`job_config` text COMMENT '任务配置',
	`host` varchar(64) DEFAULT NULL COMMENT '主机地址',
	`port` varchar(32) DEFAULT NULL COMMENT '主机端口',
	`user_name` varchar(500) DEFAULT NULL COMMENT '用户名',
	`password` varchar(100) DEFAULT NULL COMMENT '密码',
	`log_example` text COMMENT '日志样例',
	`log_resovle_type` varchar(256) DEFAULT NULL COMMENT '日志解析类型,1:正则解析',
	`log_resovle_expr` varchar(256) DEFAULT NULL COMMENT '日志解析表达式',
	`log_output_type` varchar(256) DEFAULT NULL COMMENT '日志输出类型,string,json',
	`log_output_config` text COMMENT '日志输出配置',
	`data_sources_choose_output` varchar(100) DEFAULT NULL COMMENT '输出数据源id',
	`data_source_type_output` varchar(100) DEFAULT NULL COMMENT '输出数据源类型',
	`data_sources_output` varchar(100) DEFAULT NULL COMMENT '输出数据源表名,文件名,topic',
	`data_sources_output_columns` text COMMENT '输出数据字段',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-日志采集信息表';


-- ----------------------------
-- Table structure for etl-非结构化任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_etl_task_unstructure_info`;
CREATE TABLE `mortals_etl_etl_task_unstructure_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`unstructure_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`project_id` varchar(100) DEFAULT NULL,
	`data_sources_choose_file_input` varchar(100) DEFAULT NULL COMMENT '输入数据源',
	`input_path` varchar(256) DEFAULT NULL COMMENT '文件读取路径',
	`data_sources_choose_file_output` varchar(100) DEFAULT NULL,
	`data_sources_choose_jdbc_output` varchar(100) DEFAULT NULL,
	`output_path` varchar(256) DEFAULT NULL COMMENT '文件写入路径',
	`etl_sql` text,
	`unstructure_params_output` varchar(500) DEFAULT NULL,
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`product_code` varchar(64) NOT NULL DEFAULT '' COMMENT '产品code',
	`dim_group` varchar(64) NOT NULL DEFAULT '' COMMENT '用户组',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`),
  KEY `idx_owner` (`owner`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-非结构化任务信息表';

-- ----------------------------
-- Table structure for etl-非结构化任务日志表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_unstructure_log_info`;
CREATE TABLE `mortals_etl_task_unstructure_log_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`unstructure_id` varchar(100) DEFAULT NULL COMMENT '非结构化任务ID',
	`unstructure_context` varchar(200) DEFAULT NULL COMMENT '任务说明',
	`project_id` varchar(100) DEFAULT NULL,
	`data_sources_choose_file_input` varchar(100) DEFAULT NULL COMMENT '输入数据源',
	`input_path` varchar(512) DEFAULT NULL COMMENT '文件读取路径',
	`data_sources_choose_file_output` varchar(100) DEFAULT NULL,
	`data_sources_choose_jdbc_output` varchar(100) DEFAULT NULL,
	`output_path` varchar(512) DEFAULT NULL COMMENT '文件写入路径',
	`etl_sql` text,
	`unstructure_params_output` varchar(500) DEFAULT NULL,
	`msg` text COMMENT '执行日志',
	`status` varchar(64) DEFAULT NULL COMMENT '状态,true/false',
	`company` varchar(100) DEFAULT NULL COMMENT '表所属公司',
	`section` varchar(100) DEFAULT NULL COMMENT '表所属部门',
	`service` varchar(100) DEFAULT NULL COMMENT '表所属服务',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-非结构化任务日志表';


-- ----------------------------
-- Table structure for etl-任务更新日志表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_task_update_logs`;
CREATE TABLE `mortals_etl_task_update_logs` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`update_context` varchar(100) DEFAULT NULL,
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='etl-任务更新日志表';

-- ----------------------------
-- Table structure for etl-系统通知信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_every_day_notice`;
CREATE TABLE `mortals_etl_every_day_notice` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`msg` text COMMENT '通知消息',
	`show_type` tinyint(2) NOT NULL DEFAULT '2' COMMENT '展示类型 (1.弹框,2.文字)',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='系统通知信息表';


-- ----------------------------
-- Table structure for etl-函数信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_function_info`;
CREATE TABLE `mortals_etl_function_info` (
    `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
    `function_context` varchar(128) DEFAULT NULL COMMENT '函数说明',
    `function_name` varchar(64) NOT NULL DEFAULT '' COMMENT '函数名',
    `function_class` varchar(64) NOT NULL DEFAULT '' COMMENT '函数全类名',
    `function_load_path` varchar(64) NOT NULL DEFAULT '' COMMENT '函数加载路径',
    `function_scope` varchar(64) NOT NULL DEFAULT 'local' COMMENT '作用域,(global.全局,local.局部)',
    `param_json` text COMMENT '函数参数',
    `function_script` mediumtext COMMENT '函数逻辑',
    `return_type` varchar(32) DEFAULT 'string' COMMENT '函数返回类型,(int,long,string,array,map,object)',
    `status` varchar(8) NOT NULL DEFAULT 'offline' COMMENT '状态 (offline.下线,online.上线)',
    `deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
    `owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
    `create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
    `create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
    `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
    `update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
    `update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='函数信息表';

-- ----------------------------
-- Table structure for etl-帮助文档表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_help_document_info`;
CREATE TABLE `mortals_etl_help_document_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`title` varchar(256) DEFAULT '' COMMENT '标题',
	`doc_type` varchar(256) DEFAULT '' COMMENT '分类',
	`doc_context` mediumtext COMMENT '内容',
	`enabled` tinyint(2) DEFAULT '1' COMMENT '启用状态,(0.停止,1.启用)',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='帮助文档';


-- ----------------------------
-- Table structure for etl-发布数据信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_issue_data_info`;
CREATE TABLE `mortals_etl_issue_data_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`issue_context` varchar(200) DEFAULT NULL,
	`data_sources_choose_input` varchar(100) DEFAULT NULL,
	`data_source_type_input` varchar(100) DEFAULT NULL,
	`data_sources_table_name_input` varchar(100) DEFAULT NULL,
	`data_sources_file_name_input` varchar(100) DEFAULT NULL,
	`data_sources_file_columns` text,
	`data_sources_table_columns` text,
	`column_datas` text,
	`company` varchar(100) DEFAULT NULL,
	`section` varchar(100) DEFAULT NULL,
	`service` varchar(100) DEFAULT NULL,
	`update_context` varchar(100) DEFAULT NULL,
	`status` tinyint(2) DEFAULT '2' COMMENT '状态 (1.发布,2.未发布)',
	`label_params` text COMMENT '数据标签,多个逗号分割',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='发布数据信息表';

-- ----------------------------
-- Table structure for etl-jar文件上传信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_jar_file_info`;
CREATE TABLE `mortals_etl_jar_file_info` (
	`id` bigint(20) NOT NULL  COMMENT '序号，主键',
	`file_name` varchar(100) DEFAULT NULL COMMENT '文件名称',
	`path` varchar(100) DEFAULT NULL COMMENT '文件目录',
	`jar_etl_id` varchar(20) DEFAULT NULL COMMENT '任务id',
	`status` tinyint(2) DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='jar文件上传信息表';


-- ----------------------------
-- Table structure for etl-jar任务信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_jar_task_info`;
CREATE TABLE `mortals_etl_jar_task_info` (
	`id` bigint(20) NOT NULL COMMENT '序号，主键',
	`etl_context` varchar(100) DEFAULT NULL,
	`files` varchar(100) DEFAULT NULL,
	`master` varchar(100) DEFAULT NULL,
	`deploy_mode` varchar(20) DEFAULT NULL,
	`cpu` varchar(100) DEFAULT NULL,
	`memory` varchar(100) DEFAULT NULL,
	`main_class` varchar(100) DEFAULT NULL,
	`spark_submit_params` text,
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
    PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='jar任务信息表';

-- ----------------------------
-- Table structure for etl-标签完成信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_label_complete_info`;
CREATE TABLE `mortals_etl_label_complete_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`label_code` varchar(256) DEFAULT NULL COMMENT '标签code',
	`task_time` datetime DEFAULT NULL COMMENT '任务时间',
	`enabled` tinyint(2) DEFAULT '1' COMMENT '启用状态 (0.停止,1.启用)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='标签完成信息表';

-- ----------------------------
-- Table structure for etl-数据库元信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_meta_database_info`;
CREATE TABLE `mortals_etl_meta_database_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`db_name` varchar(200) DEFAULT NULL,
	`tb_name` varchar(100) DEFAULT NULL,
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci COMMENT='数据库元信息表';

-- ----------------------------
-- Table structure for etl-数据库元信息表
-- ----------------------------
DROP TABLE IF EXISTS `mortals_etl_product_tag_info`;
CREATE TABLE `mortals_etl_product_tag_info` (
	`id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '序号，主键，自增长',
	`product_code` varchar(512) DEFAULT NULL COMMENT '产品标识code',
	`product_name` varchar(200) DEFAULT NULL COMMENT '产品名称',
	`status` tinyint(2) NOT NULL DEFAULT '0' COMMENT '产品状态 (0.启用,1.不可申请,2.禁用)',
	`ak` varchar(128) NOT NULL DEFAULT '' COMMENT '产品ak',
	`sk` varchar(128) NOT NULL DEFAULT '' COMMENT '产品sk',
	`product_type` varchar(256) NOT NULL DEFAULT '' COMMENT '产品类型',
	`product_admin` varchar(1024) NOT NULL DEFAULT '' COMMENT '产品管理员',
	`deleted` tinyint(2) NOT NULL DEFAULT '0' COMMENT '是否删除 (0.未删除,1.删除)',
	`owner` varchar(100) DEFAULT NULL COMMENT '拥有者',
	`create_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`create_user_name` varchar(50)  DEFAULT NULL COMMENT '创建用户名称',
	`create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
	`update_user_id` bigint(20) NULL DEFAULT NULL COMMENT '创建用户',
	`update_time` datetime DEFAULT NULL  COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci COMMENT='权限-产品信息表';

