package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 作用域,(global.全局,local.局部)枚举类
*
* @author zxfei
*/
public enum FunctionScopeEnum {
    全局("global", "全局"),
    局部("local", "局部");
    private String value;
    private String desc;

    FunctionScopeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static FunctionScopeEnum getByValue(String value) {
        for (FunctionScopeEnum functionScopeEnum : FunctionScopeEnum.values()) {
            if (functionScopeEnum.getValue() == value) {
                return functionScopeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (FunctionScopeEnum item : FunctionScopeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}