package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 函数返回类型,(int,long,string,array,map,object)枚举类
*
* @author zxfei
*/
public enum ReturnTypeEnum {
    int("int", "int"),
    long("long", "long"),
    string("string", "string"),
    array("array", "array"),
    map("map", "map"),
    object("object", "object");
    private String value;
    private String desc;

    ReturnTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ReturnTypeEnum getByValue(String value) {
        for (ReturnTypeEnum returnTypeEnum : ReturnTypeEnum.values()) {
            if (returnTypeEnum.getValue() == value) {
                return returnTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ReturnTypeEnum item : ReturnTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}