package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 展示类型 (1.弹框,2.文字)枚举类
*
* @author zxfei
*/
public enum ShowTypeEnum {
    弹框(1, "弹框"),
    文字(2, "文字");
    private Integer value;
    private String desc;

    ShowTypeEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ShowTypeEnum getByValue(Integer value) {
        for (ShowTypeEnum showTypeEnum : ShowTypeEnum.values()) {
            if (showTypeEnum.getValue() == value) {
                return showTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ShowTypeEnum item : ShowTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}