package com.mortals.xhx.module.alarm.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.alarm.model.vo.AlarmSmsInfoVo;
import lombok.Data;
/**
* 短信告警信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class AlarmSmsInfoEntity extends AlarmSmsInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 任务说明
    */
    private String title;
    /**
    * 信息
    */
    private String msg;
    /**
    * 信息类型 (通知,营销)
    */
    private String msgType;
    /**
    * 短信附带连接
    */
    private String msgUrl;
    /**
    * 手机号
    */
    private String phone;
    /**
    * 状态 (0.未处理,1.处理中,2.失败,3.成功,4.不处理)
    */
    private Integer status;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AlarmSmsInfoEntity) {
            AlarmSmsInfoEntity tmp = (AlarmSmsInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.title = "";
            this.msg = "";
            this.msgType = "";
            this.msgUrl = "";
            this.phone = "";
            this.status = 0;
            this.createUserName = "";
    }
}