package com.mortals.xhx.module.data.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.data.model.vo.DataSourcesInfoVo;
import lombok.Data;
/**
* 数据源信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class DataSourcesInfoEntity extends DataSourcesInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 数据源说明
    */
    private String dataSourceContext;
    /**
    * 数据源类型
    */
    private String dataSourceType;
    /**
    * 驱动连接串
    */
    private String driver;
    /**
    * 连接url
    */
    private String url;
    /**
    * 用户名
    */
    private String username;
    /**
    * 密码
    */
    private String password;
    /**
    * 数据组标识,多个逗号分割
    */
    private String tagGroupCode;
    /**
    * 产品code
    */
    private String productCode;
    /**
    * 用户组
    */
    private String dimGroup;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DataSourcesInfoEntity) {
            DataSourcesInfoEntity tmp = (DataSourcesInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.dataSourceContext = "";
            this.dataSourceType = "";
            this.driver = "";
            this.url = "";
            this.username = "";
            this.password = "";
            this.tagGroupCode = "";
            this.productCode = "";
            this.dimGroup = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}