package com.mortals.xhx.module.data.model;

import java.util.List;
import com.mortals.xhx.module.data.model.DataSourcesInfoEntity;
/**
* 数据源信息查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class DataSourcesInfoQuery extends DataSourcesInfoEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 数据源说明 */
    private List<String> dataSourceContextList;

    /** 数据源说明排除列表 */
    private List <String> dataSourceContextNotList;
    /** 数据源类型 */
    private List<String> dataSourceTypeList;

    /** 数据源类型排除列表 */
    private List <String> dataSourceTypeNotList;
    /** 驱动连接串 */
    private List<String> driverList;

    /** 驱动连接串排除列表 */
    private List <String> driverNotList;
    /** 连接url */
    private List<String> urlList;

    /** 连接url排除列表 */
    private List <String> urlNotList;
    /** 用户名 */
    private List<String> usernameList;

    /** 用户名排除列表 */
    private List <String> usernameNotList;
    /** 密码 */
    private List<String> passwordList;

    /** 密码排除列表 */
    private List <String> passwordNotList;
    /** 数据组标识,多个逗号分割 */
    private List<String> tagGroupCodeList;

    /** 数据组标识,多个逗号分割排除列表 */
    private List <String> tagGroupCodeNotList;
    /** 产品code */
    private List<String> productCodeList;

    /** 产品code排除列表 */
    private List <String> productCodeNotList;
    /** 用户组 */
    private List<String> dimGroupList;

    /** 用户组排除列表 */
    private List <String> dimGroupNotList;
    /** 开始 是否删除 (0.未删除,1.删除) */
    private Integer deletedStart;

    /** 结束 是否删除 (0.未删除,1.删除) */
    private Integer deletedEnd;

    /** 增加 是否删除 (0.未删除,1.删除) */
    private Integer deletedIncrement;

    /** 是否删除 (0.未删除,1.删除)列表 */
    private List <Integer> deletedList;

    /** 是否删除 (0.未删除,1.删除)排除列表 */
    private List <Integer> deletedNotList;

    /** 拥有者 */
    private List<String> ownerList;

    /** 拥有者排除列表 */
    private List <String> ownerNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 创建用户名称 */
    private List<String> createUserNameList;

    /** 创建用户名称排除列表 */
    private List <String> createUserNameNotList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long updateUserIdStart;

    /** 结束 创建用户 */
    private Long updateUserIdEnd;

    /** 增加 创建用户 */
    private Long updateUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> updateUserIdList;

    /** 创建用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DataSourcesInfoQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DataSourcesInfoQuery> andConditionList;

    public DataSourcesInfoQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 数据源说明
    * @return dataSourceContextList
    */
    public List<String> getDataSourceContextList(){
        return this.dataSourceContextList;
    }

    /**
    * 设置 数据源说明
    * @param dataSourceContextList
    */
    public void setDataSourceContextList(List<String> dataSourceContextList){
        this.dataSourceContextList = dataSourceContextList;
    }

    /**
    * 获取 数据源说明
    * @return dataSourceContextNotList
    */
    public List<String> getDataSourceContextNotList(){
        return this.dataSourceContextNotList;
    }

    /**
    * 设置 数据源说明
    * @param dataSourceContextNotList
    */
    public void setDataSourceContextNotList(List<String> dataSourceContextNotList){
        this.dataSourceContextNotList = dataSourceContextNotList;
    }

    /**
    * 获取 数据源类型
    * @return dataSourceTypeList
    */
    public List<String> getDataSourceTypeList(){
        return this.dataSourceTypeList;
    }

    /**
    * 设置 数据源类型
    * @param dataSourceTypeList
    */
    public void setDataSourceTypeList(List<String> dataSourceTypeList){
        this.dataSourceTypeList = dataSourceTypeList;
    }

    /**
    * 获取 数据源类型
    * @return dataSourceTypeNotList
    */
    public List<String> getDataSourceTypeNotList(){
        return this.dataSourceTypeNotList;
    }

    /**
    * 设置 数据源类型
    * @param dataSourceTypeNotList
    */
    public void setDataSourceTypeNotList(List<String> dataSourceTypeNotList){
        this.dataSourceTypeNotList = dataSourceTypeNotList;
    }

    /**
    * 获取 驱动连接串
    * @return driverList
    */
    public List<String> getDriverList(){
        return this.driverList;
    }

    /**
    * 设置 驱动连接串
    * @param driverList
    */
    public void setDriverList(List<String> driverList){
        this.driverList = driverList;
    }

    /**
    * 获取 驱动连接串
    * @return driverNotList
    */
    public List<String> getDriverNotList(){
        return this.driverNotList;
    }

    /**
    * 设置 驱动连接串
    * @param driverNotList
    */
    public void setDriverNotList(List<String> driverNotList){
        this.driverNotList = driverNotList;
    }

    /**
    * 获取 连接url
    * @return urlList
    */
    public List<String> getUrlList(){
        return this.urlList;
    }

    /**
    * 设置 连接url
    * @param urlList
    */
    public void setUrlList(List<String> urlList){
        this.urlList = urlList;
    }

    /**
    * 获取 连接url
    * @return urlNotList
    */
    public List<String> getUrlNotList(){
        return this.urlNotList;
    }

    /**
    * 设置 连接url
    * @param urlNotList
    */
    public void setUrlNotList(List<String> urlNotList){
        this.urlNotList = urlNotList;
    }

    /**
    * 获取 用户名
    * @return usernameList
    */
    public List<String> getUsernameList(){
        return this.usernameList;
    }

    /**
    * 设置 用户名
    * @param usernameList
    */
    public void setUsernameList(List<String> usernameList){
        this.usernameList = usernameList;
    }

    /**
    * 获取 用户名
    * @return usernameNotList
    */
    public List<String> getUsernameNotList(){
        return this.usernameNotList;
    }

    /**
    * 设置 用户名
    * @param usernameNotList
    */
    public void setUsernameNotList(List<String> usernameNotList){
        this.usernameNotList = usernameNotList;
    }

    /**
    * 获取 密码
    * @return passwordList
    */
    public List<String> getPasswordList(){
        return this.passwordList;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public void setPasswordList(List<String> passwordList){
        this.passwordList = passwordList;
    }

    /**
    * 获取 密码
    * @return passwordNotList
    */
    public List<String> getPasswordNotList(){
        return this.passwordNotList;
    }

    /**
    * 设置 密码
    * @param passwordNotList
    */
    public void setPasswordNotList(List<String> passwordNotList){
        this.passwordNotList = passwordNotList;
    }

    /**
    * 获取 数据组标识,多个逗号分割
    * @return tagGroupCodeList
    */
    public List<String> getTagGroupCodeList(){
        return this.tagGroupCodeList;
    }

    /**
    * 设置 数据组标识,多个逗号分割
    * @param tagGroupCodeList
    */
    public void setTagGroupCodeList(List<String> tagGroupCodeList){
        this.tagGroupCodeList = tagGroupCodeList;
    }

    /**
    * 获取 数据组标识,多个逗号分割
    * @return tagGroupCodeNotList
    */
    public List<String> getTagGroupCodeNotList(){
        return this.tagGroupCodeNotList;
    }

    /**
    * 设置 数据组标识,多个逗号分割
    * @param tagGroupCodeNotList
    */
    public void setTagGroupCodeNotList(List<String> tagGroupCodeNotList){
        this.tagGroupCodeNotList = tagGroupCodeNotList;
    }

    /**
    * 获取 产品code
    * @return productCodeList
    */
    public List<String> getProductCodeList(){
        return this.productCodeList;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public void setProductCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
    }

    /**
    * 获取 产品code
    * @return productCodeNotList
    */
    public List<String> getProductCodeNotList(){
        return this.productCodeNotList;
    }

    /**
    * 设置 产品code
    * @param productCodeNotList
    */
    public void setProductCodeNotList(List<String> productCodeNotList){
        this.productCodeNotList = productCodeNotList;
    }

    /**
    * 获取 用户组
    * @return dimGroupList
    */
    public List<String> getDimGroupList(){
        return this.dimGroupList;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public void setDimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
    }

    /**
    * 获取 用户组
    * @return dimGroupNotList
    */
    public List<String> getDimGroupNotList(){
        return this.dimGroupNotList;
    }

    /**
    * 设置 用户组
    * @param dimGroupNotList
    */
    public void setDimGroupNotList(List<String> dimGroupNotList){
        this.dimGroupNotList = dimGroupNotList;
    }

    /**
    * 获取 开始 是否删除 (0.未删除,1.删除)
    * @return deletedStart
    */
    public Integer getDeletedStart(){
        return this.deletedStart;
    }

    /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public void setDeletedStart(Integer deletedStart){
        this.deletedStart = deletedStart;
    }

    /**
    * 获取 结束 是否删除 (0.未删除,1.删除)
    * @return $deletedEnd
    */
    public Integer getDeletedEnd(){
        return this.deletedEnd;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public void setDeletedEnd(Integer deletedEnd){
        this.deletedEnd = deletedEnd;
    }

    /**
    * 获取 增加 是否删除 (0.未删除,1.删除)
    * @return deletedIncrement
    */
    public Integer getDeletedIncrement(){
        return this.deletedIncrement;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public void setDeletedIncrement(Integer deletedIncrement){
        this.deletedIncrement = deletedIncrement;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedList
    */
    public List<Integer> getDeletedList(){
        return this.deletedList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public void setDeletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
    }

    /**
    * 获取 是否删除 (0.未删除,1.删除)
    * @return deletedNotList
    */
    public List<Integer> getDeletedNotList(){
        return this.deletedNotList;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedNotList
    */
    public void setDeletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
    }


    /**
    * 获取 拥有者
    * @return ownerList
    */
    public List<String> getOwnerList(){
        return this.ownerList;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public void setOwnerList(List<String> ownerList){
        this.ownerList = ownerList;
    }

    /**
    * 获取 拥有者
    * @return ownerNotList
    */
    public List<String> getOwnerNotList(){
        return this.ownerNotList;
    }

    /**
    * 设置 拥有者
    * @param ownerNotList
    */
    public void setOwnerNotList(List<String> ownerNotList){
        this.ownerNotList = ownerNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 创建用户名称
    * @return createUserNameList
    */
    public List<String> getCreateUserNameList(){
        return this.createUserNameList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public void setCreateUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
    }

    /**
    * 获取 创建用户名称
    * @return createUserNameNotList
    */
    public List<String> getCreateUserNameNotList(){
        return this.createUserNameNotList;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameNotList
    */
    public void setCreateUserNameNotList(List<String> createUserNameNotList){
        this.createUserNameNotList = createUserNameNotList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 创建用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public DataSourcesInfoQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public DataSourcesInfoQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public DataSourcesInfoQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public DataSourcesInfoQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public DataSourcesInfoQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public DataSourcesInfoQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 数据源说明
    * @param dataSourceContext
    */
    public DataSourcesInfoQuery dataSourceContext(String dataSourceContext){
        setDataSourceContext(dataSourceContext);
		return this;
    }

    /**
    * 设置 数据源说明
    * @param dataSourceContextList
    */
    public DataSourcesInfoQuery dataSourceContextList(List<String> dataSourceContextList){
        this.dataSourceContextList = dataSourceContextList;
		return this;
    }


	/**
    * 设置 数据源类型
    * @param dataSourceType
    */
    public DataSourcesInfoQuery dataSourceType(String dataSourceType){
        setDataSourceType(dataSourceType);
		return this;
    }

    /**
    * 设置 数据源类型
    * @param dataSourceTypeList
    */
    public DataSourcesInfoQuery dataSourceTypeList(List<String> dataSourceTypeList){
        this.dataSourceTypeList = dataSourceTypeList;
		return this;
    }


	/**
    * 设置 驱动连接串
    * @param driver
    */
    public DataSourcesInfoQuery driver(String driver){
        setDriver(driver);
		return this;
    }

    /**
    * 设置 驱动连接串
    * @param driverList
    */
    public DataSourcesInfoQuery driverList(List<String> driverList){
        this.driverList = driverList;
		return this;
    }


	/**
    * 设置 连接url
    * @param url
    */
    public DataSourcesInfoQuery url(String url){
        setUrl(url);
		return this;
    }

    /**
    * 设置 连接url
    * @param urlList
    */
    public DataSourcesInfoQuery urlList(List<String> urlList){
        this.urlList = urlList;
		return this;
    }


	/**
    * 设置 用户名
    * @param username
    */
    public DataSourcesInfoQuery username(String username){
        setUsername(username);
		return this;
    }

    /**
    * 设置 用户名
    * @param usernameList
    */
    public DataSourcesInfoQuery usernameList(List<String> usernameList){
        this.usernameList = usernameList;
		return this;
    }


	/**
    * 设置 密码
    * @param password
    */
    public DataSourcesInfoQuery password(String password){
        setPassword(password);
		return this;
    }

    /**
    * 设置 密码
    * @param passwordList
    */
    public DataSourcesInfoQuery passwordList(List<String> passwordList){
        this.passwordList = passwordList;
		return this;
    }


	/**
    * 设置 数据组标识,多个逗号分割
    * @param tagGroupCode
    */
    public DataSourcesInfoQuery tagGroupCode(String tagGroupCode){
        setTagGroupCode(tagGroupCode);
		return this;
    }

    /**
    * 设置 数据组标识,多个逗号分割
    * @param tagGroupCodeList
    */
    public DataSourcesInfoQuery tagGroupCodeList(List<String> tagGroupCodeList){
        this.tagGroupCodeList = tagGroupCodeList;
		return this;
    }


	/**
    * 设置 产品code
    * @param productCode
    */
    public DataSourcesInfoQuery productCode(String productCode){
        setProductCode(productCode);
		return this;
    }

    /**
    * 设置 产品code
    * @param productCodeList
    */
    public DataSourcesInfoQuery productCodeList(List<String> productCodeList){
        this.productCodeList = productCodeList;
		return this;
    }


	/**
    * 设置 用户组
    * @param dimGroup
    */
    public DataSourcesInfoQuery dimGroup(String dimGroup){
        setDimGroup(dimGroup);
		return this;
    }

    /**
    * 设置 用户组
    * @param dimGroupList
    */
    public DataSourcesInfoQuery dimGroupList(List<String> dimGroupList){
        this.dimGroupList = dimGroupList;
		return this;
    }

    /**
    * 设置  是否删除 (0.未删除,1.删除)
    * @param deleted
    */
    public DataSourcesInfoQuery deleted(Integer deleted){
	    setDeleted(deleted);
		return this;
    }
	
	 /**
    * 设置 开始 是否删除 (0.未删除,1.删除)
    * @param deletedStart
    */
    public DataSourcesInfoQuery deletedStart(Integer deletedStart){
		this.deletedStart = deletedStart;
		return this;
    }

    /**
    * 设置 结束 是否删除 (0.未删除,1.删除)
    * @param deletedEnd
    */
    public DataSourcesInfoQuery deletedEnd(Integer deletedEnd){
		this.deletedEnd = deletedEnd;
		return this;
    }

    /**
    * 设置 增加 是否删除 (0.未删除,1.删除)
    * @param deletedIncrement
    */
    public DataSourcesInfoQuery deletedIncrement(Integer deletedIncrement){
		this.deletedIncrement = deletedIncrement;
		return this;
    }

    /**
    * 设置 是否删除 (0.未删除,1.删除)
    * @param deletedList
    */
    public DataSourcesInfoQuery deletedList(List<Integer> deletedList){
        this.deletedList = deletedList;
		return this;
        }

        /**
        * 设置 是否删除 (0.未删除,1.删除)
        * @param deletedNotList
        */
        public DataSourcesInfoQuery deletedNotList(List<Integer> deletedNotList){
        this.deletedNotList = deletedNotList;
        return this;
        }


	/**
    * 设置 拥有者
    * @param owner
    */
    public DataSourcesInfoQuery owner(String owner){
        setOwner(owner);
		return this;
    }

    /**
    * 设置 拥有者
    * @param ownerList
    */
    public DataSourcesInfoQuery ownerList(List<String> ownerList){
        this.ownerList = ownerList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DataSourcesInfoQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DataSourcesInfoQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DataSourcesInfoQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DataSourcesInfoQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DataSourcesInfoQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public DataSourcesInfoQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


	/**
    * 设置 创建用户名称
    * @param createUserName
    */
    public DataSourcesInfoQuery createUserName(String createUserName){
        setCreateUserName(createUserName);
		return this;
    }

    /**
    * 设置 创建用户名称
    * @param createUserNameList
    */
    public DataSourcesInfoQuery createUserNameList(List<String> createUserNameList){
        this.createUserNameList = createUserNameList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param updateUserId
    */
    public DataSourcesInfoQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param updateUserIdStart
    */
    public DataSourcesInfoQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param updateUserIdEnd
    */
    public DataSourcesInfoQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param updateUserIdIncrement
    */
    public DataSourcesInfoQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param updateUserIdList
    */
    public DataSourcesInfoQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param updateUserIdNotList
        */
        public DataSourcesInfoQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DataSourcesInfoQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DataSourcesInfoQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DataSourcesInfoQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DataSourcesInfoQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}