package com.mortals.xhx.module.function.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.function.model.vo.FunctionInfoVo;
import lombok.Data;
/**
* 函数信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class FunctionInfoEntity extends FunctionInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 函数说明
    */
    private String functionContext;
    /**
    * 函数名
    */
    private String functionName;
    /**
    * 函数全类名
    */
    private String functionClass;
    /**
    * 函数加载路径
    */
    private String functionLoadPath;
    /**
    * 作用域,(global.全局,local.局部)
    */
    private String functionScope;
    /**
    * 函数参数
    */
    private String paramJson;
    /**
    * 函数逻辑
    */
    private String functionScript;
    /**
    * 函数返回类型,(int,long,string,array,map,object)
    */
    private String returnType;
    /**
    * 状态 (offline.下线,online.上线)
    */
    private String status;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof FunctionInfoEntity) {
            FunctionInfoEntity tmp = (FunctionInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.functionContext = "";
            this.functionName = "";
            this.functionClass = "";
            this.functionLoadPath = "";
            this.functionScope = "local";
            this.paramJson = "";
            this.functionScript = "";
            this.returnType = "string";
            this.status = "offline";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}