package com.mortals.xhx.module.help.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.help.model.vo.HelpDocumentInfoVo;
import lombok.Data;
/**
* 帮助文档实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class HelpDocumentInfoEntity extends HelpDocumentInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 标题
    */
    private String title;
    /**
    * 分类
    */
    private String docType;
    /**
    * 内容
    */
    private String docContext;
    /**
    * 启用状态,(0.停止,1.启用)
    */
    private Integer enabled;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof HelpDocumentInfoEntity) {
            HelpDocumentInfoEntity tmp = (HelpDocumentInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.title = "";
            this.docType = "";
            this.docContext = "";
            this.enabled = 1;
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}