package com.mortals.xhx.module.more.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.more.model.vo.MoreTaskInfoVo;
import lombok.Data;
/**
* etl多源任务信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class MoreTaskInfoEntity extends MoreTaskInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 任务说明
    */
    private String etlContext;
    /**
    * 任务id列表
    */
    private String etlIds;
    /**
    * 多源任务逻辑
    */
    private String etlSql;
    /**
    * 输出数据源id
    */
    private String dataSourcesChooseOutput;
    /**
    * 输出数据源类型
    */
    private String dataSourceTypeOutput;
    /**
    * 输出数据源表名
    */
    private String dataSourcesTableNameOutput;
    /**
    * 输出数据源文件名
    */
    private String dataSourcesFileNameOutput;
    /**
    * 输出数据源参数
    */
    private String dataSourcesParamsOutput;
    /**
    * 删除临时表名
    */
    private String dropTmpTables;
    /**
    * 输出文件类型
    */
    private String fileTypeOutput;
    /**
    * 输出文件编码
    */
    private String encodingOutput;
    /**
    * 输出文件分割符
    */
    private String sepOutput;
    /**
    * 输出文件是否带有表头
    */
    private String headerOutput;
    /**
    * 写入模式默认空
    */
    private String modelOutput;
    /**
    * 分区字段默认空
    */
    private String partitionByOutput;
    /**
    * 合并小文件默认-1 不合并
    */
    private String mergeOutput;
    /**
    * 产品code
    */
    private String productCode;
    /**
    * 用户组
    */
    private String dimGroup;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MoreTaskInfoEntity) {
            MoreTaskInfoEntity tmp = (MoreTaskInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.etlContext = "";
            this.etlIds = "";
            this.etlSql = "";
            this.dataSourcesChooseOutput = "";
            this.dataSourceTypeOutput = "";
            this.dataSourcesTableNameOutput = "";
            this.dataSourcesFileNameOutput = "";
            this.dataSourcesParamsOutput = "";
            this.dropTmpTables = "";
            this.fileTypeOutput = "";
            this.encodingOutput = "";
            this.sepOutput = "";
            this.headerOutput = "";
            this.modelOutput = "";
            this.partitionByOutput = "";
            this.mergeOutput = "-1";
            this.productCode = "";
            this.dimGroup = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}