package com.mortals.xhx.module.product.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.product.model.vo.ProductTagInfoVo;
import lombok.Data;
/**
* 权限-产品信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class ProductTagInfoEntity extends ProductTagInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 产品标识code
    */
    private String productCode;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 产品状态 (0.启用,1.不可申请,2.禁用)
    */
    private Integer status;
    /**
    * 产品ak
    */
    private String ak;
    /**
    * 产品sk
    */
    private String sk;
    /**
    * 产品类型
    */
    private String productType;
    /**
    * 产品管理员
    */
    private String productAdmin;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ProductTagInfoEntity) {
            ProductTagInfoEntity tmp = (ProductTagInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.productCode = "";
            this.productName = "";
            this.status = 0;
            this.ak = "";
            this.sk = "";
            this.productType = "";
            this.productAdmin = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}