package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzCalendarsEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzCalendarsQuery extends QrtzCalendarsEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> calendarNameList;

    /** 排除列表 */
    private List <String> calendarNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzCalendarsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzCalendarsQuery> andConditionList;

    public QrtzCalendarsQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return calendarNameList
    */
    public List<String> getCalendarNameList(){
        return this.calendarNameList;
    }

    /**
    * 设置 
    * @param calendarNameList
    */
    public void setCalendarNameList(List<String> calendarNameList){
        this.calendarNameList = calendarNameList;
    }

    /**
    * 获取 
    * @return calendarNameNotList
    */
    public List<String> getCalendarNameNotList(){
        return this.calendarNameNotList;
    }

    /**
    * 设置 
    * @param calendarNameNotList
    */
    public void setCalendarNameNotList(List<String> calendarNameNotList){
        this.calendarNameNotList = calendarNameNotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzCalendarsQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzCalendarsQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param calendarName
    */
    public QrtzCalendarsQuery calendarName(String calendarName){
        setCalendarName(calendarName);
		return this;
    }

    /**
    * 设置 
    * @param calendarNameList
    */
    public QrtzCalendarsQuery calendarNameList(List<String> calendarNameList){
        this.calendarNameList = calendarNameList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzCalendarsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzCalendarsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzCalendarsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzCalendarsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}