package com.mortals.xhx.module.qrtz.model;

import java.util.List;
import com.mortals.xhx.module.qrtz.model.QrtzLocksEntity;
/**
* 查询对象
*
* @author zxfei
* @date 2024-07-15
*/
public class QrtzLocksQuery extends QrtzLocksEntity {
    /**  */
    private List<String> schedNameList;

    /** 排除列表 */
    private List <String> schedNameNotList;
    /**  */
    private List<String> lockNameList;

    /** 排除列表 */
    private List <String> lockNameNotList;
    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<QrtzLocksQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<QrtzLocksQuery> andConditionList;

    public QrtzLocksQuery(){}

    /**
    * 获取 
    * @return schedNameList
    */
    public List<String> getSchedNameList(){
        return this.schedNameList;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public void setSchedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
    }

    /**
    * 获取 
    * @return schedNameNotList
    */
    public List<String> getSchedNameNotList(){
        return this.schedNameNotList;
    }

    /**
    * 设置 
    * @param schedNameNotList
    */
    public void setSchedNameNotList(List<String> schedNameNotList){
        this.schedNameNotList = schedNameNotList;
    }

    /**
    * 获取 
    * @return lockNameList
    */
    public List<String> getLockNameList(){
        return this.lockNameList;
    }

    /**
    * 设置 
    * @param lockNameList
    */
    public void setLockNameList(List<String> lockNameList){
        this.lockNameList = lockNameList;
    }

    /**
    * 获取 
    * @return lockNameNotList
    */
    public List<String> getLockNameNotList(){
        return this.lockNameNotList;
    }

    /**
    * 设置 
    * @param lockNameNotList
    */
    public void setLockNameNotList(List<String> lockNameNotList){
        this.lockNameNotList = lockNameNotList;
    }


	/**
    * 设置 
    * @param schedName
    */
    public QrtzLocksQuery schedName(String schedName){
        setSchedName(schedName);
		return this;
    }

    /**
    * 设置 
    * @param schedNameList
    */
    public QrtzLocksQuery schedNameList(List<String> schedNameList){
        this.schedNameList = schedNameList;
		return this;
    }


	/**
    * 设置 
    * @param lockName
    */
    public QrtzLocksQuery lockName(String lockName){
        setLockName(lockName);
		return this;
    }

    /**
    * 设置 
    * @param lockNameList
    */
    public QrtzLocksQuery lockNameList(List<String> lockNameList){
        this.lockNameList = lockNameList;
		return this;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<QrtzLocksQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<QrtzLocksQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<QrtzLocksQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<QrtzLocksQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}