package com.mortals.xhx.module.task.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.task.model.vo.TaskDataxAutoInfoVo;
import lombok.Data;
/**
* etl-datax-web任务信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class TaskDataxAutoInfoEntity extends TaskDataxAutoInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 任务说明
    */
    private String etlContext;
    /**
    * 输入数据源id
    */
    private String dataSourcesChooseInput;
    /**
    * 输入数据源类型
    */
    private String dataSourceTypeInput;
    /**
    * 输入数据源表名
    */
    private String dataSourcesTableNameInput;
    /**
    * 输入数据源文件名
    */
    private String dataSourcesFileNameInput;
    /**
    * 输入数据源表列名
    */
    private String dataSourcesTableColumns;
    /**
    * 输入数据源参数
    */
    private String dataSourcesParamsInput;
    /**
    * 输入数据源过滤条件
    */
    private String dataSourcesFilterInput;
    /**
    * 输出数据源id
    */
    private String dataSourcesChooseOutput;
    /**
    * 输出数据源类型
    */
    private String dataSourceTypeOutput;
    /**
    * 输出数据源表名
    */
    private String dataSourcesTableNameOutput;
    /**
    * 输出数据源文件名
    */
    private String dataSourcesFileNameOutput;
    /**
    * 输出数据源参数
    */
    private String dataSourcesParamsOutput;
    /**
    * 输入输出自定映射关系
    */
    private String columnDatas;
    /**
    * 数据源数据源删除条件
    */
    private String dataSourcesClearOutput;
    /**
    * 表所属公司
    */
    private String company;
    /**
    * 表所属部门
    */
    private String section;
    /**
    * 表所属服务
    */
    private String service;
    /**
    * 更新说明
    */
    private String updateContext;
    /**
    * 字段个数
    */
    private String columnSize;
    /**
    * 行数范围
    */
    private String rowsRange;
    /**
    * 错误率
    */
    private String errorRate;
    /**
    * 是否开启质量检测
    */
    private String enableQuality;
    /**
    * 去重字段
    */
    private String duplicateColumns;
    /**
    * 不可重复字段
    */
    private String primaryColumns;
    /**
    * 输入文件类型
    */
    private String fileTypeInput;
    /**
    * 输入文件编码
    */
    private String encodingInput;
    /**
    * 输入分割符
    */
    private String sepInput;
    /**
    * 输出文件类型
    */
    private String fileTypeOutput;
    /**
    * 输出文件编码
    */
    private String encodingOutput;
    /**
    * 输出文件分割符
    */
    private String sepOutput;
    /**
    * 输入是否包含表头
    */
    private String headerInput;
    /**
    * 输出是否包含表头
    */
    private String headerOutput;
    /**
    * 洗牌字段默认空
    */
    private String repartitionColsInput;
    /**
    * 写入模式默认空
    */
    private String modelOutput;
    /**
    * 分区字段默认空
    */
    private String partitionByOutput;
    /**
    * 合并小文件默认-1 不合并
    */
    private String mergeOutput;
    /**
    * 产品code
    */
    private String productCode;
    /**
    * 用户组
    */
    private String dimGroup;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof TaskDataxAutoInfoEntity) {
            TaskDataxAutoInfoEntity tmp = (TaskDataxAutoInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.etlContext = "";
            this.dataSourcesChooseInput = "";
            this.dataSourceTypeInput = "";
            this.dataSourcesTableNameInput = "";
            this.dataSourcesFileNameInput = "";
            this.dataSourcesTableColumns = "";
            this.dataSourcesParamsInput = "";
            this.dataSourcesFilterInput = "";
            this.dataSourcesChooseOutput = "";
            this.dataSourceTypeOutput = "";
            this.dataSourcesTableNameOutput = "";
            this.dataSourcesFileNameOutput = "";
            this.dataSourcesParamsOutput = "";
            this.columnDatas = "";
            this.dataSourcesClearOutput = "";
            this.company = "";
            this.section = "";
            this.service = "";
            this.updateContext = "";
            this.columnSize = "";
            this.rowsRange = "";
            this.errorRate = "";
            this.enableQuality = "";
            this.duplicateColumns = "";
            this.primaryColumns = "";
            this.fileTypeInput = "";
            this.encodingInput = "";
            this.sepInput = "";
            this.fileTypeOutput = "";
            this.encodingOutput = "";
            this.sepOutput = "";
            this.headerInput = "";
            this.headerOutput = "";
            this.repartitionColsInput = "";
            this.modelOutput = "";
            this.partitionByOutput = "";
            this.mergeOutput = "-1";
            this.productCode = "";
            this.dimGroup = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}