package com.mortals.xhx.module.task.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.task.model.vo.TaskFlinkInfoVo;
import lombok.Data;
/**
* etl-flink任务信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class TaskFlinkInfoEntity extends TaskFlinkInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 任务说明
    */
    private String sqlContext;
    /**
    * 输入参数
    */
    private String dataSourcesParamsInput;
    /**
    * sql任务处理逻辑
    */
    private String etlSql;
    /**
    * 表所属公司
    */
    private String company;
    /**
    * 表所属部门
    */
    private String section;
    /**
    * 表所属服务
    */
    private String service;
    /**
    * 更新说明
    */
    private String updateContext;
    /**
    * 
    */
    private String host;
    /**
    * 
    */
    private String port;
    /**
    * 
    */
    private String userName;
    /**
    * 
    */
    private String password;
    /**
    * checkpoint地址
    */
    private String checkpoint;
    /**
    * 服务类型:windows/linux
    */
    private String serverType;
    /**
    * 命令
    */
    private String command;
    /**
    * 产品code
    */
    private String productCode;
    /**
    * 用户组
    */
    private String dimGroup;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof TaskFlinkInfoEntity) {
            TaskFlinkInfoEntity tmp = (TaskFlinkInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.sqlContext = "";
            this.dataSourcesParamsInput = "";
            this.etlSql = "";
            this.company = "";
            this.section = "";
            this.service = "";
            this.updateContext = "";
            this.host = "";
            this.port = "";
            this.userName = "";
            this.password = "";
            this.checkpoint = "";
            this.serverType = "";
            this.command = "";
            this.productCode = "";
            this.dimGroup = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}