package com.mortals.xhx.module.task.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.task.model.vo.TaskLogInfoVo;
import lombok.Data;
/**
* etl-日志采集信息实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class TaskLogInfoEntity extends TaskLogInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 日志唯一标识code
    */
    private String logCode;
    /**
    * 日志说明
    */
    private String logContext;
    /**
    * flume启动命令
    */
    private String flumeCommand;
    /**
    * flume地址
    */
    private String flumePath;
    /**
    * 任务配置
    */
    private String jobConfig;
    /**
    * 主机地址
    */
    private String host;
    /**
    * 主机端口
    */
    private String port;
    /**
    * 用户名
    */
    private String userName;
    /**
    * 密码
    */
    private String password;
    /**
    * 日志样例
    */
    private String logExample;
    /**
    * 日志解析类型,1:正则解析
    */
    private String logResovleType;
    /**
    * 日志解析表达式
    */
    private String logResovleExpr;
    /**
    * 日志输出类型,string,json
    */
    private String logOutputType;
    /**
    * 日志输出配置
    */
    private String logOutputConfig;
    /**
    * 输出数据源id
    */
    private String dataSourcesChooseOutput;
    /**
    * 输出数据源类型
    */
    private String dataSourceTypeOutput;
    /**
    * 输出数据源表名,文件名,topic
    */
    private String dataSourcesOutput;
    /**
    * 输出数据字段
    */
    private String dataSourcesOutputColumns;
    /**
    * 产品code
    */
    private String productCode;
    /**
    * 用户组
    */
    private String dimGroup;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof TaskLogInfoEntity) {
            TaskLogInfoEntity tmp = (TaskLogInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.logCode = "";
            this.logContext = "";
            this.flumeCommand = "";
            this.flumePath = "";
            this.jobConfig = "";
            this.host = "";
            this.port = "";
            this.userName = "";
            this.password = "";
            this.logExample = "";
            this.logResovleType = "";
            this.logResovleExpr = "";
            this.logOutputType = "";
            this.logOutputConfig = "";
            this.dataSourcesChooseOutput = "";
            this.dataSourceTypeOutput = "";
            this.dataSourcesOutput = "";
            this.dataSourcesOutputColumns = "";
            this.productCode = "";
            this.dimGroup = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}