package com.mortals.xhx.module.task.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.task.model.vo.TaskUnstructureLogInfoVo;
import lombok.Data;
/**
* etl-非结构化任务日志实体对象
*
* @author zxfei
* @date 2024-07-15
*/
@Data
public class TaskUnstructureLogInfoEntity extends TaskUnstructureLogInfoVo {
    private static final long serialVersionUID = 1L;

    /**
    * 非结构化任务ID
    */
    private String unstructureId;
    /**
    * 任务说明
    */
    private String unstructureContext;
    /**
    * 
    */
    private String projectId;
    /**
    * 输入数据源
    */
    private String dataSourcesChooseFileInput;
    /**
    * 文件读取路径
    */
    private String inputPath;
    /**
    * 
    */
    private String dataSourcesChooseFileOutput;
    /**
    * 
    */
    private String dataSourcesChooseJdbcOutput;
    /**
    * 文件写入路径
    */
    private String outputPath;
    /**
    * 
    */
    private String etlSql;
    /**
    * 
    */
    private String unstructureParamsOutput;
    /**
    * 执行日志
    */
    private String msg;
    /**
    * 状态,true/false
    */
    private String status;
    /**
    * 表所属公司
    */
    private String company;
    /**
    * 表所属部门
    */
    private String section;
    /**
    * 表所属服务
    */
    private String service;
    /**
    * 是否删除 (0.未删除,1.删除)
    */
    private Integer deleted;
    /**
    * 拥有者
    */
    private String owner;
    /**
    * 创建用户名称
    */
    private String createUserName;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof TaskUnstructureLogInfoEntity) {
            TaskUnstructureLogInfoEntity tmp = (TaskUnstructureLogInfoEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.unstructureId = "";
            this.unstructureContext = "";
            this.projectId = "";
            this.dataSourcesChooseFileInput = "";
            this.inputPath = "";
            this.dataSourcesChooseFileOutput = "";
            this.dataSourcesChooseJdbcOutput = "";
            this.outputPath = "";
            this.etlSql = "";
            this.unstructureParamsOutput = "";
            this.msg = "";
            this.status = "";
            this.company = "";
            this.section = "";
            this.service = "";
            this.deleted = 0;
            this.owner = "";
            this.createUserName = "";
    }
}